Subject: [CDNi] Comments on draft-choi-cdni-control-init-bootstrapping-01

From: Rob Murray <[email-masked]>
Date: Thu, 1 Aug 2013 16:55:59 +0000

Hi all, the comments I promised to copy to the list...

(Taesang, apologies for sending them so late.)

Rob.

Begin forwarded message:

From: Rob Murray <[email-masked]<mailto:[email-masked]>>
Date: 31 July 2013 18:21:05 CEST
To: 최태상 <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Ben Niven-Jenkins <[email-masked]<mailto:[email-masked]>>
Subject: Re: Request for your feedback on Bootstrapping draft

Hi Taesang,

I've just had a look - I'm not sure the triggers interface is appropriate for this.

The aim of this part of the Control interface is for one CDN to find out how to talk to another one, including which URLs it should use to find RI/MI/FCI, which acquisition protocols it support etc etc... it's about "getting" info from the other CDN.

The triggers interface is designed for one CDN to ask the other to do something... it's about "putting" a request into the other CDN.

I think  your draft can just define a set of properties and a container for them that can be fetched from a "well known" URL on the other CDN, there's no need for two way communication.

You probably need two sets of properties, the things uCDN needs to know about dCDN, and the things dCDN needs to know about uCDN - and these can live at different well-known URLs (meeting CNTL-6).

The dCDN operator would tell dCDN the single well-known URL describing uCDN's interfaces, allowing dCDN to find out all about uCDN. The same would happen on uCDN for it to find out about dCDN. Then the two can talk.

To terminate an interconnect, the CDN can just remove its bootstrapping document (CNTL-5).

To be aligned with the other interfaces, the properties should probably live in JSON format be fetched over http(s),  and should have cache-control settings that make sure the other CDN regularly refreshes it in case things change.

I can't spot any req's that wouldn't be met by this much simpler interface.

Cheers,
Rob.

From: 최태상 <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, 31 July 2013 10:38
To: Rob Murray <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Request for your feedback on Bootstrapping draft

Dear Rob,

Have you had time to take look at the bootstrapping draft 01 version?
When I present the status of this draft tomorrow, I would like to mention something about the direction to the future progress.
If you have any opinion on the direction, I would be happy to hear about it.  Besides the direction, I will also appreciate if you provide me any technical comments.  Many thanks in advance.

Best regards,
Taesang